#!/bin/bash

OPTION=$1
SUFFIX=$2
PYTHON=python2.7
if [[ $SUFFIX == "" ]]
then
    SUFFIX=$(date +%m%d%H%M)
fi

if [[ $OPTION == "backup" ]]
then
    OPERATION="cp -af"
    FROM_SUFFIX=""
    TO_SUFFIX="_BACKUP-BY-AUTOCONF-TOOL_$SUFFIX"
elif [[ $OPTION == "restore" ]]
then
    OPERATION="cp -af"
    FROM_SUFFIX="_BACKUP-BY-AUTOCONF-TOOL_$SUFFIX"
    TO_SUFFIX=""
elif [[ $OPTION == "cleanup" ]]
then
    OPERATION="rm -f"
    FROM_SUFFIX="_BACKUP-BY-AUTOCONF-TOOL_$SUFFIX"
    TO_SUFFIX="_BACKUP-BY-AUTOCONF-TOOL_$SUFFIX"
else
    echo ">>>>>[ERROR] $OPTION invalid, can only be (backup, restore, cleanup)."
    exit 0
fi

if [ -d /usr/lib/python3.6/site-packages/cinder ];then
    PYTHON=python3.6
fi


TARGET_DIRS=""
TARGET_DIRS="$TARGET_DIRS /etc/cinder/cinder.conf"
TARGET_DIRS="$TARGET_DIRS /usr/lib/${PYTHON}/site-packages/cinder/volume/drivers/inspur/instorage"
for dir in $TARGET_DIRS
do
    if [ -e ${dir}${FROM_SUFFIX} ]
    then
        echo ">>>>>[INFO] $OPTION ${dir}${FROM_SUFFIX}"
        if [[ $OPTION == "restore" ]]
        then
            rm -rf ${dir}${TO_SUFFIX}
        fi
        $OPERATION -r ${dir}${FROM_SUFFIX} ${dir}${TO_SUFFIX}
    else
        echo ">>>>>[WARNING] the backup file ${dir}${FROM_SUFFIX} is not found"
        exit 1
    fi
done
