#!/bin/bash
OPENSTACK_VERSION=''
WORKDIR=$(dirname $0)
cd $WORKDIR

driver=$(find . -name "inspur_CinderDriver_*")
if [[ $driver = "" ]]
then
    echo ">>>>>[WARNING] Driver file not exist, do nothing."
    exit 1
fi

tar -xzvf $driver

driverDir=${driver/'.tar.gz'/}
cd $driverDir 

PYTHON=python2.7
if [ -d /usr/lib/python3.6/site-packages/cinder ];then
    PYTHON=python3.6
fi

CINDER_DRIVER_DIR="/usr/lib/${PYTHON}/site-packages/cinder/volume/drivers"
SOURCE_CINDER_DIR="cinder/volume/drivers/inspur"

if [ -d "$CINDER_DRIVER_DIR" ]
then
    cp -rf $SOURCE_CINDER_DIR $CINDER_DRIVER_DIR
    echo "Install instorage cinder driver complete."
else
    echo ">>>>>[RRROR] Cinder driver install: no drivers folder found."
    exit 1
fi



